QUISK(1)

NAME
quisk - a Software Defined Radio (SDR)

DESCRIPTION
QUISK is the software that controls a receiver and transmitter. QUISK rhymes with "brisk", and is QSK plus a few letters to make it easier to pronounce. QSK is a Q signal meaning full breakin CW, and QUISK has been designed for low latency CW operation. It works fine for SSB and AM too.

It currently runs under Linux using ALSA sound drivers or PortAudio
    and offers these capabilities:

    Quisk can control the HiQSDR.

    As a receiver it can use the SDR-IQ by RfSpace as a sample source. There are several decimation rates available. The screen shots below were taken using the SDR-IQ. The QUISK receiver will read the sample data, tune it, filter it, demodulate it, and send the audio to the sound card for output to external headphones or speakers.

    As a receiver it can use your soundcard as a sample source. You supply a complex (I/Q) mixer to convert radio spectrum to a low IF, and send that IF to the left and right inputs of the sound card in your computer. The demodulated audio goes to the same soundcard for output.

    Quisk can control SoftRock hardware for both receive and transmit.

    As a transmitter it can control my SSB/CW exciter and my transceiver using Ethernet.

    As a transmitter it can accept microphone input and send that to your transmitter for SSB operation. For CW, QUISK can mute the audio and substitute a side tone. Quisk can send transmit data to your sound card for use with SoftRock or similar. If you are not using SoftRock hardware and not using Ethernet, then you can modify the C code in microphone.c to connect to your hardware.

    If you have the SDR-IQ or the Softrock hardware, then QUISK is ready for you to use as a receiver. If you have other receive hardware, then you will need to change the file quisk_hardware.py to connect your receiver to QUISK. For example, if you change your VFO frequency with a serial port, then you need to change quisk_hardware.py to send characters to the serial port. The file quisk_hardware.py is written in the Python programming language, a very easy language to learn and use.

SETUP
Some deployments of quisk will only need to use sound hardware with ALSA. Other setups will use serial ports (or USB serial ports) and may need permissions set up (perhaps using udev) to allow the quisk program's user access to those ports. See documentation in /usr/share/doc/quisk for more information, as well as configuration file examples.

The default configuration file is ~/.quisk_conf.py

The configuration file must be customized for the user (see the commented examples) before running quisk.

SYNOPSIS
quisk [options]

OPTIONS

-h, --help
    show this help message and exit

-c CONFIG_FILE_PATH, --config=CONFIG_FILE_PATH
    Specify the configuration file path

--config2=CONFIG_FILE_PATH2
    Specify a second configuration file to read after the first

SEE ALSO
http://james.ahlstrom.name/quisk/

Sample config files are in /usr/share/doc/quisk/quisk_conf*
    copy one, edit and save as ~/.quisk_conf.py

For use with a Funcube Dongle see the program
    qthid in package qthid-fcd-controller.